#include "inc/config.inc"


#define trimTail(str, pos) { char ch; do{ pos--, ch = str[pos]; \
				}while(isSpace(ch)); pos++; }


//---------------------------------------------------------
// 뤥  㪠 ப , 祭  ਩  
// 㦠 ஡

void SMALL_ _config::parse(charSeq s, charSeq &key, charSeq &val, charSeq &comment){
	key.len = 0; val.len = 0;

	//--- s = "[[{ }]{ }=][{ }祭][{ }ਬ砭]{ }"
	//---	      #1      #2    #3           #4            #5

	//---  := #1 | #2 | #3 | #4 | #5,  := #5; ய
	//--- 騥 ஡ , ᫨  祣 ,  ࠡ
	register char ch;
	for(; s.len; ++s) { ch = s[0]; if(!isSpace(ch)) break; }
	if(s.len){
	    trimTail(s, s.len);		//--- ய 墮⮢ ஡

	    //--- ⤥쭠 ஢ઠ  (ਬ砭  ⮩
	    //--- ப), ᪮ ।  ࠧ
	    //--- ᨬ   ਬ砭
	    if(ch != CMT){
		//---  := ( | 祭) | '=' | ਬ砭;
		//--- 뤥   祭 (ࠧ  ᫥饬 '=')
		size_t len = 0; PCStr p;
		for(p = s.str; ch != '=' && ch != NOTE; ch = s[0]){
			len++, ++s; if(s.len == 0) break;
		}

		if(s.len && ch == '='){	//---   
			//--- ய 墮⮢ ஡ #2
			if(len) { trimTail(p, len); }
			key.str = p, key.len = len;

			//---  := '=' [{ } 祭 ][{ } ਬ砭 ];
			//--- 뤥 祭, ய⨢ '='  ஡
			++s; len = 0;
			if(s.len){
				for(;; ++s) { ch = s[0]; if(!isSpace(ch)) break; }
				for(p = s.str; ch != NOTE; ch = s[0]){
					len++, ++s; if(s.len == 0) break;
		}	}	}

		//--- ய 墮⮢ ஡ #4
		if(len) { trimTail(p, len); }
		val.str = p; val.len = len;
	}   }
	comment = s;
}
