#ifndef _h_BITS_
#define _h_BITS_

#define setBit(b)		(1ul << (b))
#define checkBit(v, b)		((v) & setBit(b))

#define setBitMask(v, m)	((v) | (m))
#define unsetBitMask(v, m)	((v) & ~(m))
#define checkBitMask(v, m)	((v) & (m))

#define isPower2(v)		(((v) & (v - 1)) == 0)
#define odd(v)			(((v) & 1) != 0)
#define even(v)			(((v) & 1) == 0)

#endif /* _h_BITS_ */
