#ifndef _h_TYPES_
#define _h_TYPES_

#include <limits.h>
#include <stddef.h>
#ifndef _h_BITS_
# include <cv/bits.h>
#endif


/*  䨪஢ */
#ifdef __STDC__

#  define far
#  define near
#  define cdecl

#  define SMALL_
#  define FAST_
#  define STD_

#else

#  define SMALL_	_pascal
#  define FAST_		__fastcall
#  define STD_		cdecl

#endif

#ifdef __cplusplus
#  define externC	extern "C"
#else
#  define externC
#endif


/*  ।樨 C++  । bool, ᮮ⢥⢥	*/
/* ᫥饥 । 室 		*/
typedef enum { false, true } bool;


/* 饭 */
typedef unsigned char	uchar;
typedef unsigned short	ushort;
typedef unsigned int	uint;
typedef unsigned long	ulong;

typedef const void	*CVP;
typedef const char	CStr[], *PCStr;
typedef char		Str[], *PStr;

#ifdef __cplusplus
  typedef const char	&RCStr;
  typedef char		&RStr;
#endif

/* ⥬-ᨬ ⨯ */
typedef unsigned char	byte;
typedef unsigned short	word;
typedef unsigned long	dword;


/* 樨  ⥬-ᨬ묨  稬 ⨯ */
#define loNibble(b)	((byte)(b) & 0x0F)
#define hiNibble(b)	((byte)(b) >> 4)

#define loByte(w)	((byte)(w))
#define hiByte(w)	((byte)((word)(w) >> 8))

#define loWord(l)	((word)(l))
#define hiWord(l)	((word)((dword)(l) >> 16))

#define makebyte(l, h)	((byte)(loNibble(l) | ((byte)loNibble(h) << 4)))
#define makeword(l, h)	((word)(loByte(l) | ((word)loByte(h) << 8)))
#define makelong(l, h)	((long)(loWord(l) | ((dword)loWord(h) << 16)))

#define bitsPer(v)	(sizeof(v) * CHAR_BIT)
#define mostSignBit(v)	setBit(bitsPer(v) - 1)
#define maxUnsigned(v)	(mostSignBit(v) | (mostSignBit(v) - 1))

#define arraySize(arr)	(sizeof(arr)/sizeof(arr[0]))


/* 稥 । */
typedef unsigned	count;
typedef unsigned char	shortcount;
typedef unsigned long	longcount;

typedef void (far *FP_PROC)();

#define EOS	'\0'

#endif /* _h_TYPES_ */
