/*
    LIB - a librarian for compatible OBJ/LIB files
    Copyright (C) 1995,1996  Steffen Kaiser

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
/* $Id: yerror.h 3.0 1996/08/01 07:32:33 ska Rel ska $
   $Locker: ska $	$Name: Version3 $	$State: Rel $


*/

#ifndef __ERROR_H
#define __ERROR_H

#include <msglib.h>

DCL_MSG(I_locMsgFile);
DCL_MSG(E_hlpScreen);
DCL_MSG(M_2hlpScreen);
DCL_MSG(E_noHandleBAK);
DCL_MSG(M_openLib);
DCL_MSG(E_renameToBAK);
DCL_MSG(W_createNew);
DCL_MSG(E_recRspFile);
DCL_MSG(E_cmdModeMissing);
DCL_MSG(E_cmdLine);
DCL_MSG(E_libRead);
DCL_MSG(M_createLib);
DCL_MSG(E_accessFile);
DCL_MSG(E_libEnd);
DCL_MSG(E_libMisDir);
DCL_MSG(E_libHeader);
DCL_MSG(E_corruptMod);
DCL_MSG(E_emptyMod);
DCL_MSG(E_badCrc);
DCL_MSG(E_cmdMode);
DCL_MSG(E_xtrctMode);
DCL_MSG(M_createLstFile);
DCL_MSG(M_copyLib);
DCL_MSG(M_createDir);
DCL_MSG(W_pageSize);
DCL_MSG(E_noPages);
DCL_MSG(E_dblSymbol);
DCL_MSG(E_openLib);
DCL_MSG(M_recreateDir);
DCL_MSG(W_noModEnd);
DCL_MSG(W_modAlreadyIn);
DCL_MSG(E_modAddTwice);
DCL_MSG(W_matchFiles);
DCL_MSG(E_emptyModName);
DCL_MSG(E_processModule);
DCL_MSG(E_nrAddMod);
DCL_MSG(E_noExtSubMod);
DCL_MSG(E_nrDblSym);
DCL_MSG(E_nrDblMod);
DCL_MSG(M_modSubtract);
DCL_MSG(M_modExtract);
DCL_MSG(M_modSubExt);
DCL_MSG(M_modAdd);
DCL_MSG(E_createFile);
DCL_MSG(E_pageOverflow);
DCL_MSG(W_globMatch);
DCL_MSG(W_notFound);
DCL_MSG(M_pageInfo);
DCL_MSG(M_HeadPageSize);
DCL_MSG(M_pageSize);
DCL_MSG(M_aliPageSize);
DCL_MSG(M__Current);
DCL_MSG(M__Minimal);
DCL_MSG(M__Maximal);
DCL_MSG(M__Optimal);
DCL_MSG(M__Original);
DCL_MSG(M_dirSize);
DCL_MSG(E_libTooLong);
DCL_MSG(E_version);
DCL_MSG(W_lowMemMinit);
DCL_MSG(E_creatTmp);
DCL_MSG(M_restart);
DCL_MSG(M_newPageSize);
DCL_MSG(E_noFarMem);
DCL_MSG(E_noUpcaseMode);
DCL_MSG(M_kilobytes);
DCL_MSG(M_bytes);
DCL_MSG(M_dbgAvail);
DCL_MSG(M_chgDbgFlags);
DCL_MSG(M_scanCmds);
DCL_MSG(E_LIBHEAD);
DCL_MSG(M_xtract);
DCL_MSG(M_xtrctOld);
DCL_MSG(M_xtrctNew);
DCL_MSG(W_dbgIgn);

#endif
